#
# Conditional build:
%bcond_without	dist_kernel	# allow non-distribution kernel
%bcond_without	kernel		# don't build kernel modules
%bcond_without	userspace	# don't build userspace module
%bcond_with	verbose		# verbose build (V=1)
#
%define		rel 73
%define		pname	iscsitarget
Summary:	iSCSI target - SCSI over IP
Summary(pl.UTF-8):	iSCSI target - SCSI po IP
Name:		%{pname}%{_alt_kernel}
Version:	1.4.20.2
Release:	%{rel}
License:	GPL
Group:		Base/Kernel
Source0:	http://dl.sourceforge.net/iscsitarget/%{pname}-%{version}.tar.gz
# Source0-md5:	2f23c0bfe124d79f5c20e34ef2aaff82
Source1:	%{pname}.init
Source2:	%{pname}.sysconfig
Patch0:		debian-changes-1.4.20.2-6
URL:		http://iscsitarget.sourceforge.net/
BuildRequires:	rpmbuild(macros) >= 1.379
BuildRequires:	openssl-devel
%if %{with kernel}
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.20.2}
%endif
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{pname}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
An Open Source iSCSI target with aim to have professional features,
work well in enterprise environment under real workload, and be
scalable and versatile enough to meet the challenge of future storage
needs and developements.

%description -l pl.UTF-8
Sterownik iSCSI o otwartych źródłach, którego celem jest posiadanie
profesjonalnych możliwości, poprawna praca w środowisku enterprise pod
prawdziwym obciążeniem oraz skalowalność i wszechstronność pozwalająca
na sprostanie wyzwaniom przyszłych potrzeb i rozwoju składowania
danych.

%package -n kernel%{_alt_kernel}-targetiscsi
Summary:	iSCSI kernel module
Summary(pl.UTF-8):	Moduł jądra iSCSI
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Requires:	%{pname} = %{version}-%{rel}
%{?with_dist_kernel:%requires_releq_kernel}

%description -n kernel%{_alt_kernel}-targetiscsi
IP over SCSI Target kernel module.

%description -n kernel%{_alt_kernel}-targetiscsi -l pl.UTF-8
Moduł jądra dla protokołu IP over SCSI (Target).

%prep
%setup -q -n %{pname}-%{version}
%patch0 -p1

%build
%if %{with kernel}
%build_kernel_modules -C kernel -m iscsi_trgt
%endif

%if %{with userspace}
%{__make} -C usr \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} %{rpmcppflags} -fno-inline -Wall -I../include -D_GNU_SOURCE"
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man{1,5,8},/etc/{rc.d/init.d,sysconfig}}

%if %{with kernel}
%install_kernel_modules -m kernel/iscsi_trgt -d misc
%endif

%if %{with userspace}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/targetiscsi
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/targetiscsi

install etc/ietd.conf $RPM_BUILD_ROOT%{_sysconfdir}

install usr/ietd usr/ietadm $RPM_BUILD_ROOT%{_sbindir}
install doc/manpages/*.5 $RPM_BUILD_ROOT%{_mandir}/man5
install doc/manpages/*.8 $RPM_BUILD_ROOT%{_mandir}/man8
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post -n kernel%{_alt_kernel}-targetiscsi
%depmod %{_kernel_ver}

%postun -n kernel%{_alt_kernel}-targetiscsi
%depmod %{_kernel_ver}

%post
/sbin/chkconfig --add targetiscsi

%preun
if [ "$1" = "0" ]; then
	%service targetiscsi stop
	/sbin/chkconfig --del targetiscsi
fi

%if %{with userspace}
%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_sbindir}/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ietd.conf
%{_mandir}/man?/*
%attr(754,root,root) /etc/rc.d/init.d/targetiscsi
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/targetiscsi
%endif

%if %{with kernel}
%files -n kernel%{_alt_kernel}-targetiscsi
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/misc/*
%endif
%changelog
* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> ef89189
- Rebuild for kernel 3.0.42
- release 73 (by relup.sh)

* Sun Aug 12 2012 Jan Rękorajski <baggins@pld-linux.org> 4da9aca
- rebuild for kernel-longterm-3.0.40-1
- release 72 (by relup.sh)

* Fri Aug 10 2012 Jan Rękorajski <baggins@pld-linux.org> 7d850ef
- rebuild for kernel-longterm-3.0.40-1 /home/users/baggins/devel/PLD/rpm/packages
- release 71 (by relup.sh)

* Sun Jul 22 2012 Paweł Sikora <pawel.sikora@agmk.net> 5a52341
bump release for rebuild with kernel-3.4.6-1

* Wed Jul 18 2012 Jan Rękorajski <baggins@pld-linux.org> 8118e60
Release 69

* Sun Jul 01 2012 Jan Rękorajski <baggins@pld-linux.org> f26a349
- rel 68
- add _alt_kernel to kernel package name

* Wed Jun 27 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ce1b1a
- rebuild for kernel-longterm-3.0.36-1
- release 67 (by relup.sh)

* Wed Jun 27 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c27e5a6
- rebuild for kernel-longterm-3.0.36-1
- release 66 (by relup.sh)

* Mon Jun 11 2012 Elan Ruusamäe <glen@pld-linux.org> fd2f565
- rebuild for kernel-longterm-3.0.34-1
- release 65

* Wed May 23 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> dc62ed7
- release 64

* Tue May 08 2012 Jan Rękorajski <baggins@pld-linux.org> ab30a3b
- release 63

* Sat Apr 28 2012 Jan Rękorajski <baggins@pld-linux.org> 2f33761
- release 62

* Fri Apr 27 2012 Jan Rękorajski <baggins@pld-linux.org> 7716282
- rel 61
- make our build system happy

* Fri Apr 27 2012 Jan Rękorajski <baggins@pld-linux.org> 5111659
- release 60

* Sat Apr 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 6b47d8c
- release 59

* Fri Apr 06 2012 Jan Rękorajski <baggins@pld-linux.org> e65de60
- release 58

* Wed Apr 04 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 75263cf
- release 57

* Mon Mar 26 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 89bdd23
- release 56

* Wed Mar 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> f30ee24
- release 55

* Thu Mar 01 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> d7cf92d
- release 54

